package com.willalp.canteen.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.canteen.domain.HsCanteenScrk;

/**
 * 食材入库Service接口
 *
 * @author songyu
 * @date 2021-11-26
 */
public interface IHsCanteenScrkService extends IService<HsCanteenScrk>
{
    /**
     * 查询食材入库
     *
     * @param recordId 食材入库主键
     * @return 食材入库
     */
    public HsCanteenScrk selectHsCanteenScrkByRecordId(String recordId);

    /**
     * 查询食材入库列表
     *
     * @param hsCanteenScrk 食材入库
     * @return 食材入库集合
     */
    public List<HsCanteenScrk> selectHsCanteenScrkList(HsCanteenScrk hsCanteenScrk);

    /**
     * 新增食材入库
     *
     * @param hsCanteenScrk 食材入库
     * @return 结果
     */
    public int insertHsCanteenScrk(HsCanteenScrk hsCanteenScrk);

    /**
     * 修改食材入库
     *
     * @param hsCanteenScrk 食材入库
     * @return 结果
     */
    public int updateHsCanteenScrk(HsCanteenScrk hsCanteenScrk);

    /**
     * 批量删除食材入库
     *
     * @param recordIds 需要删除的食材入库主键集合
     * @return 结果
     */
    public int deleteHsCanteenScrkByRecordIds(String[] recordIds);

    /**
     * 删除食材入库信息
     *
     * @param recordId 食材入库主键
     * @return 结果
     */
    public int deleteHsCanteenScrkByRecordId(String recordId);

    /**
     * 食材列表
     *
     * @param jgid
     * @return
     */
    public List<HsCanteenScrk> getScList(String jgid);
}
